<?php
/**
 * RightsAccessEnumTest
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\AdminAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Admin Auth
 *
 * Авторизация системных пользователей
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Please update the test case below to test the model.
 */

namespace Ensi\AdminAuthClient;

use PHPUnit\Framework\TestCase;

/**
 * RightsAccessEnumTest Class Doc Comment
 *
 * @category    Class
 * @description Права доступа. Расшифровка значений.   * &#x60;1xx&#x60; Для списка заказов:   * &#x60;101&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;102&#x60; - Пользователю доступна детальная страница заказа со всеми вкладками и данными для просмотра   * &#x60;103&#x60; - Пользователю доступна вкладка \&quot;Главное\&quot; для просмотра   * &#x60;104&#x60; - Пользователю доступна вкладка \&quot;Клиент\&quot; для просмотра   * &#x60;105&#x60; - Пользователю доступна вкладка \&quot;Товары\&quot; для просмотра   * &#x60;106&#x60; - Пользователю доступна вкладка \&quot;Доставка\&quot; для просмотра   * &#x60;107&#x60; - Пользователю доступна вкладка \&quot;Комментарии\&quot; для просмотра   * &#x60;108&#x60; - Пользователю доступна вкладка \&quot;Вложения\&quot; для просмотра   * &#x60;109&#x60; - Пользователю доступно только редактирование данных заказа (без действий)   * &#x60;110&#x60; - Пользователю доступна функция редактирование комментариев во вкладке \&quot;Комментарии\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;111&#x60; - Пользователю доступна функция добавления/удаления проблемы к заказу и комментария  к проблеме во вкладке \&quot;Комментариии\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;112&#x60; - Пользователю доступна функция редактирования способа доставки во вкладке \&quot;Доставка\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;113&#x60; - Пользователю доступна функция редактирования комментария во вкладке \&quot;Доставка\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;114&#x60; - Пользователю доступна функция редактирования полей клиента во вкладке \&quot;Клиент\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;115&#x60; - Пользователю доступна функция загрузка вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;116&#x60; - Пользователю доступна функция удаления вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;117&#x60; - Пользователю доступно изменение статуса заказа на детальной странице + кнопка \&quot;Действия\&quot;   * &#x60;118&#x60; - Пользователю доступно создание заявки на возврат + кнопка \&quot;Действия\&quot;   * &#x60;119&#x60; - Пользователю доступно редактирование списка товаров в заказе   * &#x60;120&#x60; - Пользователю доступно изменение статуса отгрузки на детальной странице заказ   * &#x60;2xx&#x60; Для возвратов:   * &#x60;201&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;202&#x60; - Пользователю доступна детальная страница возврата   * &#x60;203&#x60; - Пользователю доступна вкладка \&quot;Главное\&quot; для просмотра   * &#x60;204&#x60; - Пользователю доступна вкладка \&quot;Товары\&quot; для просмотра   * &#x60;205&#x60; - Пользователю доступна вкладка \&quot;Вложения\&quot; для просмотра   * &#x60;206&#x60; - Пользователю доступно только редактирование данных возврата (без действий)   * &#x60;207&#x60; - Пользователю доступна функция изменение ответственного за возврат во вкладке \&quot;Главное\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;208&#x60; - Пользователю доступна функция загрузка вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;209&#x60; - Пользователю доступна функция удаления вложений во вкладке \&quot;Вложения\&quot; + кнопки \&quot;Сохранить\&quot;/\&quot;Отменить\&quot;   * &#x60;210&#x60; - Пользователю доступен табличный список с причинами возврата по кнопке \&quot;Настройка причин возврата\&quot;   * &#x60;211&#x60; - Пользователю доступно создание причин возврата + кнопка \&quot;Добавить причину\&quot;   * &#x60;212&#x60; - Пользователю доступно редактирование причин возврата + кнопка \&quot;Изменить причину\&quot;   * &#x60;3xx&#x60; Для настроек:   * &#x60;301&#x60; - Пользователю доступна для просмотра страница настроек   * &#x60;302&#x60; - Параметры корзины. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;303&#x60; - Срок оплаты заказа. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;304&#x60; - Срок оформления заказа. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;305&#x60; - Максимальное время обработки. Пользователю доступно редактирование параметра + кнопка \&quot;Изменить параметр\&quot;   * &#x60;4xx&#x60; Для каталога товаров:   * &#x60;401&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;402&#x60; - Пользователю доступна детальная страница товара со всеми со всеми вкладками и данными для просмотра   * &#x60;403&#x60; - Пользователь может создавать товар   * &#x60;404&#x60; - Пользователю доступна функция редактирование любых данных товара и совершения любых действий с ним   * &#x60;405&#x60; - Пользователю доступна вкладка \&quot;Основные данные\&quot; для просмотра   * &#x60;406&#x60; - Пользователю доступна вкладка \&quot;Контент\&quot; для просмотра   * &#x60;407&#x60; - Пользователю доступна вкладка \&quot;Характеристики\&quot; для просмотра   * &#x60;408&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;409&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Контент\&quot;   * &#x60;410&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Характеристики\&quot;   * &#x60;411&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Основные данные\&quot;   * &#x60;413&#x60; - Пользователь может удалять товары   * &#x60;414&#x60; - Пользователю доступна вкладка \&quot;Товарные склейки\&quot; для просмотра   * &#x60;415&#x60; - Пользователю доступна функция \&quot;Изменить атрибуты\&quot; в табличном списке товаров   * &#x60;418&#x60; - Пользователю доступна миграция состояния сущностей, из которых наполняется индекс   * &#x60;5xx&#x60; Для категорий товаров:   * &#x60;501&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;502&#x60; - Пользователю доступна детальная страница категории со всеми вкладками и данными для просмотра   * &#x60;503&#x60; - Пользователю доступна функция редактирование любых данных категории и совершения любых действий с ним   * &#x60;504&#x60; - Пользователь может создавать категории   * &#x60;505&#x60; - Пользователь может добавлять и редактировать атрибуты категории   * &#x60;506&#x60; - Пользователь может редактирование данные о категории (кроме активности)   * &#x60;507&#x60; - Пользователь может удалять категории   * &#x60;508&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;6xx&#x60; Для атрибутов товаров:   * &#x60;601&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;602&#x60; - Пользователю доступна детальная страница атрибутов со всеми со всеми вкладками и данными для просмотра   * &#x60;603&#x60; - Пользователю доступно полное редактирование атрибутов, включая активность и отображение на витрине   * &#x60;604&#x60; - Пользователь может создать новый атрибут товара и сохранить его   * &#x60;605&#x60; - Пользователь может удалять атрибутов   * &#x60;606&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;607&#x60; - Пользователю доступно управление чек-боксом \&quot;Отображение на витрине\&quot;   * &#x60;7xx&#x60; Для пользователей:   * &#x60;701&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;702&#x60; - Пользователю доступна детальная страница пользователя со всеми со всеми вкладками и данными для просмотра   * &#x60;703&#x60; - Пользователю доступно полное редактирование пользователя   * &#x60;704&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;705&#x60; - Пользователю доступно изменение пароля   * &#x60;706&#x60; - Пользователю доступно управление ролями пользователя   * &#x60;707&#x60; - Пользователю доступно создание пользователя   * &#x60;8xx&#x60; Для ролей:   * &#x60;801&#x60; - Пользователю доступен табличный список с фильтрами и поиском   * &#x60;802&#x60; - Пользователю доступна детальная страница роли со всеми со всеми вкладками и данными для просмотра   * &#x60;803&#x60; - Создание ролей   * &#x60;804&#x60; - Пользователю доступно полное редактирование роли   * &#x60;805&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;806&#x60; - Пользователю доступно удаление роли   * &#x60;9xx&#x60; Для информационных страниц:   * &#x60;901&#x60; - Пользователю доступен табличный список с информационными страницами   * &#x60;902&#x60; - Пользователю доступна детальная страница информационной страницы со всеми данными для просмотра   * &#x60;903&#x60; - Пользователю доступно редактирование информационной страницы, включая управление активностью   * &#x60;904&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;905&#x60; - Пользователю доступно создание информационной страницы   * &#x60;906&#x60; - Пользователю доступно удаление информационной страницы   * &#x60;10xx&#x60; Для брендов:   * &#x60;1001&#x60; - Пользователю доступен табличный список с брендами с фильтрами и поиском   * &#x60;1002&#x60; - Пользователю доступна детальная страница бренда со всеми данными для просмотра   * &#x60;1003&#x60; - Пользователю доступно полное редактирование бренда, включая управление активностью   * &#x60;1004&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;1005&#x60; - Пользователю доступно создание бренда   * &#x60;1006&#x60; - Пользователю доступно удаление бренда   * &#x60;11xx&#x60; Для товарных склеек:   * &#x60;1101&#x60; - Пользователю доступен табличный список склеек с фильтрами и поиском   * &#x60;1102&#x60; - Пользователю доступна детальная страница склейки со всеми данными для просмотра   * &#x60;1103&#x60; - Пользователю доступно редактирование склейки (кроме изменения активности и удаления)   * &#x60;1104&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;1105&#x60; - Пользователю доступно создание склейки   * &#x60;1106&#x60; - Пользователю доступно удаление склейки   * &#x60;1107&#x60; - Пользователю доступно редактирование всех полей товарной склейки   * &#x60;12xx&#x60; Для клиентов:   * &#x60;1201&#x60; - Пользователю доступно удаление персональных данных клиента   * &#x60;1202&#x60; - Пользователю доступен табличный список клиентов с фильтрами и поиском   * &#x60;1203&#x60; - Пользователю доступна детальная страница клиента со всеми со всеми данными для просмотра   * &#x60;1204&#x60; - Пользователю доступно редактирование данных клиента   * &#x60;13xx&#x60; Для скидок и промокодов:   * &#x60;1301&#x60; - Пользователю доступен табличный список со скидками   * &#x60;1302&#x60; - Пользователю доступна детальная страница скидки со всеми данными для просмотра и без возможности редактирования полей   * &#x60;1303&#x60; - Пользователю доступно создание скидки   * &#x60;1304&#x60; - Пользователю доступно редактирование скидки   * &#x60;1305&#x60; - Пользователю доступно удаление скидки   * &#x60;1306&#x60; - Пользователю доступно массовое обновление статусов скидки в табличном списке   * &#x60;1311&#x60; - Пользователю доступен табличный список с промокодами   * &#x60;1312&#x60; - Пользователю доступна детальная страница промокода со всеми данными для просмотра и без возможности редактирования полей   * &#x60;1313&#x60; - Пользователю доступно создание промокода   * &#x60;1314&#x60; - Пользователю доступно редактирование промокода   * &#x60;1315&#x60; - Пользователю доступно удаление промокода   * &#x60;14xx&#x60; Для баннеров:   * &#x60;1401&#x60; - Пользователю доступен табличный список баннеров с фильтрами и поиском   * &#x60;1402&#x60; - Пользователю доступна детальная страница баннера со всеми данными для просмотра   * &#x60;1403&#x60; - Пользователю доступно редактирование баннера   * &#x60;1404&#x60; - Пользователю доступно создание баннера   * &#x60;1405&#x60; - Пользователю доступно удаление баннера   * &#x60;15xx&#x60; Для отзывов:   * &#x60;1501&#x60; - Пользователю доступен табличный список с отзывами с фильтрами и поиском   * &#x60;1502&#x60; - Пользователю доступна детальная страница отзывами со всеми данными для просмотра   * &#x60;1503&#x60; - Пользователю доступно удаление отзывов   * &#x60;1504&#x60; - Пользователю доступно изменение статуса отзыва   * &#x60;16xx&#x60; Для тегов:   * &#x60;1601&#x60; - Пользователю доступен табличный список тегов с фильтрами и поиском   * &#x60;1602&#x60; - Пользователю доступна детальная страница товарного тега со всеми данными для просмотра   * &#x60;1603&#x60; - Пользователю доступно редактирование товарного тега   * &#x60;1604&#x60; - Пользователю доступно создание товарного тега   * &#x60;1605&#x60; - Пользователю доступно удаление товарного тега   * &#x60;17xx&#x60; Для SEO:   * &#x60;1701&#x60; - Пользователю доступен табличный список SEO-шаблонов с фильтрами и поиском   * &#x60;1702&#x60; - Пользователю доступна детальная страница SEO-шаблонов со всеми данными для просмотра   * &#x60;1703&#x60; - Пользователю доступно редактирование SEO-шаблонов   * &#x60;1704&#x60; - Пользователю доступно создание SEO-шаблонов   * &#x60;1705&#x60; - Пользователю доступно удаление SEO-шаблонов   * &#x60;18xx&#x60; Для импортов:   * &#x60;1801&#x60; - Пользователю доступен импорт товаров   * &#x60;1802&#x60; - Пользователю доступен просмотр журнала импорта товаров   * &#x60;1803&#x60; - Пользователю доступен просмотр журнала ошибок импорта товаров   * &#x60;19xx&#x60; Для складов:   * &#x60;1901&#x60; - Пользователю доступен табличный список складов с фильтрами и поиском   * &#x60;1902&#x60; - Пользователю доступна детальная страница склада со всеми данными для просмотра   * &#x60;1903&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Основные данные\&quot;   * &#x60;1904&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Время работы\&quot;   * &#x60;1905&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Контакты\&quot;   * &#x60;1906&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;График отгрузки\&quot;   * &#x60;1907&#x60; - Пользователю доступно управление чек-боксом \&quot;Активность\&quot;   * &#x60;1908&#x60; - Пользователь может создавать склад   * &#x60;20xx&#x60; Для фидов:   * &#x60;2001&#x60; - Пользователю доступен табличный список с настройками фидов с фильтрами и поиском   * &#x60;2002&#x60; - Пользователю доступна детальная страница настройками фида со всеми данными для просмотра   * &#x60;2003&#x60; - Пользователю доступно создание настроек фида   * &#x60;2004&#x60; - Пользователю доступно редактирование настроек фида   * &#x60;2005&#x60; - Пользователю доступна миграция состояния сущностей, из которых формируются фиды   * &#x60;21xx&#x60; Для тарифов доставки:   * &#x60;2101&#x60; - Пользователю доступен табличный список тарифов с фильтрами и поиском   * &#x60;2102&#x60; - Пользователю доступна детальная страница тарифа со всеми данными для просмотра   * &#x60;2103&#x60; - Пользователю доступно создание тарифа   * &#x60;2104&#x60; - Пользователю доступно редактирование тарифа   * &#x60;2105&#x60; - Пользователю доступно удаление тарифа   * &#x60;22xx&#x60; Для продавцов:   * &#x60;2201&#x60; - Пользователю доступен табличный список продавцов с фильтрами и поиском   * &#x60;2202&#x60; - Пользователю доступна детальная страница продавца со всеми данными для просмотра   * &#x60;2203&#x60; - Пользователю доступно создание продавца   * &#x60;2204&#x60; - Пользователю доступно редактирование продавца   * &#x60;23xx&#x60; Для статусов продукта:   * &#x60;2301&#x60; - Пользователю доступен табличный список статусов продукта с фильтрами и поиском   * &#x60;2302&#x60; - Пользователю доступна детальная страница статуса продукта со всеми данными для просмотра   * &#x60;2303&#x60; - Пользователю доступно создание статуса продукта   * &#x60;2304&#x60; - Пользователю доступно редактирование статуса продукта   * &#x60;2305&#x60; - Пользователю доступно удаление статуса продукта   * &#x60;25xx&#x60; Для настроек уведомлений:   * &#x60;2501&#x60; - Пользователю доступен табличный список настроек уведомлений с фильтрами и поиском   * &#x60;2502&#x60; - Пользователю доступна детальная страница настроек уведомлений со всеми данными для просмотра   * &#x60;2503&#x60; - Пользователю доступно создание настроек уведомлений   * &#x60;2504&#x60; - Пользователю доступно редактирование настроек уведомлений   * &#x60;2505&#x60; - Пользователю доступно удаление настроек уведомлений   * &#x60;26xx&#x60; Подключение Ensi Cloud:   * &#x60;2601&#x60; - Пользователю доступно редактирование подключением Cloud   * &#x60;2602&#x60; - Пользователю доступен просмотр подключения Cloud   * &#x60;2603&#x60; - Пользователю доступно изменение активности подключения Cloud   * &#x60;27xx&#x60; Для настройки параметров доставки:   * &#x60;2701&#x60; - Пользователю доступно редактирование параметров доставки   * &#x60;2702&#x60; - Пользователю доступен просмотр параметров доставки   * &#x60;28xx&#x60; Для офферов:   * &#x60;2801&#x60; - Пользователю доступен табличный список офферов с фильтрами и поиском   * &#x60;2802&#x60; - Пользователю доступно полное редактирование на вкладке \&quot;Основные данные\&quot;   * &#x60;2803&#x60; - Пользователю доступно полное редактирование на вкладке \&quot;Стоки\&quot;   * &#x60;2804&#x60; - Пользователю доступно управление чекбоксом \&quot;Публикация\&quot;   * &#x60;2805&#x60; - Пользователю доступно управлением полем \&quot;Стоимость\&quot;   * &#x60;2806&#x60; - Пользователю доступна функция редактирование любых данных оффера и совершения любых действий с ним   * &#x60;2807&#x60; - Пользователю доступна детальная страница оффера со всеми данными для просмотра   * &#x60;2808&#x60; - Пользователю доступно обновление данных офферов   * &#x60;2809&#x60; - Пользователю доступна миграция состояния офферов   * &#x60;29xx&#x60; Для ПВЗ, точек самовывоза:   * &#x60;2901&#x60; - Пользователю доступен табличный список ПВЗ с фильтрами и поиском   * &#x60;2902&#x60; - Пользователю доступна детальная страница ПВЗ со всеми данными для просмотра   * &#x60;2903&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Основные данные\&quot;   * &#x60;2904&#x60; - Пользователю доступно полное редактирование во вкладке \&quot;Адрес\&quot;   * &#x60;30xx&#x60; Для пользователей продавцов:   * &#x60;3001&#x60; - Пользователю доступен табличный список пользователей продавца   * &#x60;3002&#x60; - Пользователю доступна детальная страница пользователя продавца   * &#x60;3003&#x60; - Пользователю доступно редактирование пользователя продавца   * &#x60;3004&#x60; - Пользователю доступно создание пользователя продавца   * &#x60;3005&#x60; - Пользователю доступно изменение активности пользователя продавца   * &#x60;3006&#x60; - Пользователю доступно редактирование пароля пользователя продавца   * &#x60;31xx&#x60; Для технических таблиц   * &#x60;3101&#x60; - Пользователю доступен просмотр технических таблиц   * &#x60;3102&#x60; - Пользователю доступно редактирование технических таблиц + запуск консольных команд   * &#x60;32xx&#x60; Для служб доставки   * &#x60;3201&#x60; - Пользователю доступен табличный список служб доставки с фильтрами и поиском   * &#x60;3202&#x60; - Пользователю доступна детальная страница службы доставки со всеми данными для просмотра   * &#x60;3203&#x60; - Пользователю доступно редактирование службы доставки   * &#x60;3204&#x60; - Пользователю доступно добавление и удаление доступных способов оплаты из службы доставки
 * @package     Ensi\AdminAuthClient
 * @author      OpenAPI Generator team
 * @link        https://openapi-generator.tech
 */
class RightsAccessEnumTest extends TestCase
{

    /**
     * Setup before running any test case
     */
    public static function setUpBeforeClass()
    {
    }

    /**
     * Setup before running each test case
     */
    public function setUp()
    {
    }

    /**
     * Clean up after running each test case
     */
    public function tearDown()
    {
    }

    /**
     * Clean up after running all test cases
     */
    public static function tearDownAfterClass()
    {
    }

    /**
     * Test "RightsAccessEnum"
     */
    public function testRightsAccessEnum()
    {
    }
}
